Bug 174514 - PCI bridge not detected
PCI bridge not detected
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 12:13 EST by Rik Burt
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 18:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -tv for the last kernel that works (1.57 KB, text/plain)
2005-11-29 12:15 EST, Rik Burt
no flags Details
Output of lspci -tv for the 2.6.14-1.1637 kernel (429 bytes, text/plain)
2005-11-29 12:16 EST, Rik Burt
no flags Details
Output of lspci -tv for the 2.6.14-1.1644 kernel (561 bytes, text/plain)
2005-11-29 12:18 EST, Rik Burt
no flags Details
Output of dmesg -s 128000 on 2.6.14-1.1532_FC4smp kernel (18.54 KB, text/plain)
2005-11-30 11:28 EST, Rik Burt
no flags Details
Output of dmesg -s 128000 on 2.6.14-1.1644_FC4smp kernel (16.36 KB, text/plain)
2005-11-30 11:29 EST, Rik Burt
no flags Details
Output of lspci -v with pci=conf1 boot parameter (1.66 KB, text/plain)
2005-12-01 16:36 EST, Rik Burt
no flags Details
Output of dmesg -s 128000 with pci=conf1 parameter on 2.6.14-1.1644_FC4smp (17.48 KB, text/plain)
2005-12-01 16:39 EST, Rik Burt
no flags Details

  None (edit)
Description Rik Burt 2005-11-29 12:13:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After updating to kernel-2.6.14-1.1637 a pci bridge is not detected.  This causes all onboard ethernet ports to go uninitialized.  Also any cards in the pci slots are undetected.

I started a bug report 174114 which is actually a symptom of this problem.

Version-Release number of selected component (if applicable):
kernels after 2.6.13-1.1532

How reproducible:
Always

Steps to Reproduce:
1. Use any kernel after 2.6.13-1.1532 in the updates-released repo
2.
3.
  

Actual Results:  The system boots up but fails to detect drives hooked to SATA controller in PCI slot and the ethernet ports do not work

Expected Results:  RAID array should have started and mounted, ethernet should have access to network 

Additional info:
Comment 1 Rik Burt 2005-11-29 12:15:12 EST
Created attachment 121598 [details]
Output of lspci -tv for the last kernel that works
Comment 2 Rik Burt 2005-11-29 12:16:19 EST
Created attachment 121599 [details]
Output of lspci -tv for the 2.6.14-1.1637 kernel
Comment 3 Rik Burt 2005-11-29 12:18:37 EST
Created attachment 121600 [details]
Output of lspci -tv for the 2.6.14-1.1644 kernel
Comment 4 Rik Burt 2005-11-29 12:26:07 EST
The system in question has a Tyan S2891 motherboard, dual Opteron 875
processors, 2GB of RAM made up of 4 512MB modules, and a Promise 9550sx controller.

It has an NVIDIA CK804 chipset with an onboard silicon image 3114 SATA
controller and Broadcom 5704 gig ethernet ports onboard.
Comment 5 Dave Jones 2005-11-29 18:34:36 EST
can you attach dmesg -s 128000 from both working and 1644 kernels please ?
Comment 6 Rik Burt 2005-11-30 11:28:52 EST
Created attachment 121636 [details]
Output of dmesg -s 128000 on 2.6.14-1.1532_FC4smp kernel
Comment 7 Rik Burt 2005-11-30 11:29:53 EST
Created attachment 121637 [details]
Output of dmesg -s 128000 on 2.6.14-1.1644_FC4smp kernel
Comment 8 Rik Burt 2005-12-01 16:35:31 EST
I had some time to play with some boot options and found that appending
pci=conf1 to the kernel line in grub seems to have fixed my problem.  I am
writing this comment from the affected machine.

I will create an attachment with the lspci and dmesg outputs.
 
Comment 9 Rik Burt 2005-12-01 16:36:53 EST
Created attachment 121711 [details]
Output of lspci -v with pci=conf1 boot parameter
Comment 10 Rik Burt 2005-12-01 16:39:07 EST
Created attachment 121712 [details]
Output of dmesg -s 128000 with pci=conf1 parameter on 2.6.14-1.1644_FC4smp
Comment 11 Rik Burt 2005-12-02 11:33:04 EST
Sorry for the noise here.  The S2891 has a BIOS option 'Installed OS' I had it
set to 'OTHER'.  There is a choice 'LINUX'  when the BIOS is set this way there
are no issues with the machine.

On other Tyan motherboards the 'Installed OS' option is either 'DOS' or 'OTHER'.  

Thanks and again sorry for the noise.
Comment 12 Dave Jones 2005-12-02 18:28:34 EST
glad you figured it out ;)
I'm curious what the BIOS does differently in both cases though.
Comment 13 Michal Jaegermann 2005-12-02 18:41:53 EST
> I'm curious what the BIOS does differently in both cases though.

I am curious as well but who knows.  The fact that it boots with 2.6.13
kernels, and also with 2.6.14 but with an extra pci=conf1 parameter, on
"Other" BIOS settings tells somethings but I do not know what.  That could
be "interesting" with dual boot machines.

Note You need to log in before you can comment on or make changes to this bug.